package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Tesrpm;
import com.realnet.basicp1.Services.TesrpmService ;








@RequestMapping(value = "/Tesrpm")
 @CrossOrigin("*") 
@RestController
public class TesrpmController {
	@Autowired
	private TesrpmService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Tesrpm")
		  public Tesrpm Savedata(@RequestBody Tesrpm data) {
		Tesrpm save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Tesrpm/{id}")
	public  Tesrpm update(@RequestBody Tesrpm data,@PathVariable Integer id ) {
		Tesrpm update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Tesrpm/getall/page")
	public Page<Tesrpm> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Tesrpm> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Tesrpm")
	public List<Tesrpm> getdetails() {
		 List<Tesrpm> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Tesrpm")
	public List<Tesrpm> getallwioutsec() {
		 List<Tesrpm> get = Service.getdetails();		
		return get;
}
@GetMapping("/Tesrpm/{id}")
	public  Tesrpm  getdetailsbyId(@PathVariable Integer id ) {
		Tesrpm  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Tesrpm/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}